Subject: glibc-2.5 test suite hangs/crashes the machine

From: Fabio Massimo Di Nitto <[email-masked]>
Date: Fri, 27 Oct 2006 07:56:09 +0200

Hi everybody,

i am in the process of bootstrapping the new toolchain for ubuntu and I am
hitting a problem building glibc-2.5 on ppc.

This behaviour has been reproduced on 2.6.15/2.6.17 and 2.6.19-rc2 (where the
machine crashes) and with ppc32 and ppc64 kernels.
A hard reboot of the machine is required to get rid of the Zl processes hanging
around that keep spinning the CPU at 100%.

I did place sources here: http://people.ubuntu.com/~fabbione/benh/

but i start to believe it is a kernel bug we are exploiting only now.

Any hint or help for what to look for would be extremely appreciated.

Thanks
Fabio

-- 
I'm going to make him an offer he can't refuse.